Subject: Can an AgnetX sub-agent send an AgentX-GET PDU to the AgentX master?

From: Bill Fenner <[email-masked]>
Date: Fri, 31 Jul 1998 11:50:52 PDT

Hi,

  Let's say I have a routing daemon which wants to present a MIB which
happens to include ifindex values.  However, the local interface to
ifindex value mapping happens in a different subagent; the routing
daemon doesn't know what this mapping is.  It has to walk the iftable
and try to match that up with its view of the interfaces.  Can this
routing daemon send AgentX-GET PDU's up to the master agent and expect
it to dispatch them to the right sub-agent and dispatch the reply back
to me all via AgentX, or do I have to use SNMP for this part?

  I ask because it seems like a shame that an application that only wants
to be an AgentX sub-agent also has to be able to be an SNMP client.

Thanks,
  Bill